org.apache.tools.ant.util

## Class IdentityMapper

- java.lang.Object
- - org.apache.tools.ant.util.IdentityMapper

All Implemented Interfaces:
  FileNameMapper

    public class IdentityMapper
    extends java.lang.Object
    implements FileNameMapper

Implementation of FileNameMapper that always returns the source file name.

This is the default FileNameMapper for the copy and move tasks.

### Constructor Summary

Constructors
Constructor and Description
`IdentityMapper()`

### Method Summary

Methods
`java.lang.String[]` `mapFileName(java.lang.String sourceFileName)` Returns an one-element array containing the source file name.
`void` `setFrom(java.lang.String from)` Ignored.
`void` `setTo(java.lang.String to)` Ignored.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IdentityMapper

    public IdentityMapper()

### Method Detail

#### setFrom

    public void setFrom(java.lang.String from)

Ignored.

Specified by:
  `setFrom` in interface `FileNameMapper`
Parameters:
  `from` - ignored.

#### setTo

    public void setTo(java.lang.String to)

Ignored.

Specified by:
  `setTo` in interface `FileNameMapper`
Parameters:
  `to` - ignored.

#### mapFileName

    public java.lang.String[] mapFileName(java.lang.String sourceFileName)

Returns an one-element array containing the source file name.

Specified by:
  `mapFileName` in interface `FileNameMapper`
Parameters:
  `sourceFileName` - the name to map.
Returns:
  the source filename in a one-element array.